PDA

View Full Version : Fedora 7 Multimedia Support



clifweb
2nd June 2007, 08:44 AM
I started this topic to have a fresh start with Fedora 7.

When I used FC 6 and found the amarok was the best program to play audio.On my new installed Fedora 7 system. I am trying to configure this program to play mp3. From the Sound and video I have mp3 support but on amarok I don't. I am following this guide : http://www.my-guides.net/en/content/view/59/26/1/2/ but when i enter this command:
sudo yum --enablerepo=livna install amarok-extras-nonfree

The Following error is given:
Total download size: 6.3 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
file /usr/lib/libavcodec.so.51.40.4 conflicts between attempted installs of ffmpeg-libs-0.4.9-0.37.20070503.lvn7 and ffmpeg-0.4.9-0.8.20070530.fc7
file /usr/lib/libavformat.so.51.12.1 conflicts between attempted installs of ffmpeg-libs-0.4.9-0.37.20070503.lvn7 and ffmpeg-0.4.9-0.8.20070530.fc7
file /usr/lib/libavutil.so.49.4.0 conflicts between attempted installs of ffmpeg-libs-0.4.9-0.37.20070503.lvn7 and ffmpeg-0.4.9-0.8.20070530.fc7
file /usr/lib/vhook/drawtext.so conflicts between attempted installs of ffmpeg-libs-0.4.9-0.37.20070503.lvn7 and ffmpeg-0.4.9-0.8.20070530.fc7
file /usr/lib/vhook/fish.so conflicts between attempted installs of ffmpeg-libs-0.4.9-0.37.20070503.lvn7 and ffmpeg-0.4.9-0.8.20070530.fc7
file /usr/lib/vhook/imlib2.so conflicts between attempted installs of ffmpeg-libs-0.4.9-0.37.20070503.lvn7 and ffmpeg-0.4.9-0.8.20070530.fc7
file /usr/lib/vhook/null.so conflicts between attempted installs of ffmpeg-libs-0.4.9-0.37.20070503.lvn7 and ffmpeg-0.4.9-0.8.20070530.fc7
file /usr/lib/vhook/ppm.so conflicts between attempted installs of ffmpeg-libs-0.4.9-0.37.20070503.lvn7 and ffmpeg-0.4.9-0.8.20070530.fc7
file /usr/lib/vhook/watermark.so conflicts between attempted installs of ffmpeg-libs-0.4.9-0.37.20070503.lvn7 and ffmpeg-0.4.9-0.8.20070530.fc7

Error Summary
-------------

How can I solve this.

I tried other commands but didn't work.
I have mp3 support on "xmms" but I don't like that program

lazlow
2nd June 2007, 09:09 AM
You have to use livna's ffmpeg(repo hell).

yum remove ffmpeg

yum --enablerepo=livna install amarok-extras-nonfree

Should get you running.

clifweb
2nd June 2007, 09:33 AM
didn't work:

[root@localhost username]# yum remove ffmpeg
Loading "installonlyn" plugin
Setting up Remove Process
No Match for argument: ffmpeg
No Packages marked for removal

lazlow
2nd June 2007, 09:51 AM
[root@localhost ~]# yum install amarok-extras-nonfree
Loading "installonlyn" plugin
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package amarok-extras-nonfree.i386 0:1.4.4-1.lvn7 set to be updated
--> Processing Dependency: xine-lib-extras-nonfree for package: amarok-extras-nonfree
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package xine-lib-extras-nonfree.i386 0:1.1.6-1.lvn7 set to be updated

Dependencies Resolved

================================================== ===========================
Package Arch Version Repository Size
================================================== ===========================
Installing:
amarok-extras-nonfree i386 1.4.4-1.lvn7 livna 3.6 k
Installing for dependencies:
xine-lib-extras-nonfree i386 1.1.6-1.lvn7 livna 531 k

Transaction Summary
================================================== ===========================
Install 2 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 534 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): amarok-extras-nonf 100% |=========================| 3.6 kB 00:01
(2/2): xine-lib-extras-no 100% |=========================| 531 kB 00:32
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Installing: xine-lib-extras-nonfree ######################### [1/2]
Installing: amarok-extras-nonfree ######################### [2/2]

Installed: amarok-extras-nonfree.i386 0:1.4.4-1.lvn7
Dependency Installed: xine-lib-extras-nonfree.i386 0:1.1.6-1.lvn7
Complete!
You have new mail in /var/spool/mail/root

Works fine here. Are you running 64bit by any chance?

Edit: What repos do you have set up?

clifweb
2nd June 2007, 10:36 AM
[root@localhost yum.repos.d]# yum repolist
Loading "downloadonly" plugin
Loading "installonlyn" plugin
repo id repo name status
fedora Fedora 7 - i386 enabled
freshrpms Fedora Core 7 - i386 - Freshrpms enabled
livna Livna for Fedora Core 7 - i386 - Base enabled
updates Fedora 7 - i386 - Updates enabled


Is this Good?
I am using 32bit

lazlow
2nd June 2007, 12:12 PM
You have both livna and freshroms enabled(generally bad to have two enabled). But at least it is not atrpms(what I was afraid of). Since I can do it, my best guess is to disable freshrpms and try again.

clifweb
2nd June 2007, 12:15 PM
how? to disable freshroms

clifweb
2nd June 2007, 12:22 PM
tired:
[root@localhost ~]# yum --disablerepo=freshrpms
Loading "downloadonly" plugin
Loading "installonlyn" plugin
You need to give some command
Usage: yum [options] < grouplist, localinstall, groupinfo, localupdate, resolvedep, erase, deplist, groupremove, makecache, upgrade, provides, shell, install, whatprovides, groupinstall, update, repolist, groupupdate, info, search, check-update, list, remove, clean, grouperase >

Options:
-h, --help show this help message and exit
-t, --tolerant be tolerant of errors
-C run entirely from cache, don't update cache
-c [config file] config file location
-R [minutes] maximum command wait time
-d [debug level] debugging output level
-e [error level] error output level
-y answer yes for all questions
--version show Yum version and exit
--installroot=[path] set install root
--enablerepo=[repo] enable one or more repositories (wildcards allowed)
--disablerepo=[repo] disable one or more repositories (wildcards allowed)
-x [package], --exclude=[package]
exclude package(s) by name or glob
--obsoletes enable obsoletes processing during updates
--noplugins disable Yum plugins
--nogpgcheck disable gpg signature checking
--downloadonly don't update, just download
--downloaddir=DLDIR specifies an alternate directory to store packages
None

lazlow
2nd June 2007, 12:27 PM
Goto; /etc/yum.repos.d/ Find the files that are freshrpms, open them with a text editor, change enable=1 to enable=0. That will shut the repos off.

Recheck with yum repolist, it should show disabled.

clifweb
2nd June 2007, 12:35 PM
why I am getting this error:
I have installed this: smb4k
to acces my windows network but write now the programs in not running

error: failed to stat /home/clifton/smb4k/BYLUCIDTECH/D_kappela: Host is down

lazlow
2nd June 2007, 12:37 PM
You should start a new thread on that as it is unrelated to the above. As a guess I would say you do not have the right ports open on your firewall(either end).

nothing
3rd June 2007, 03:18 AM
am trying to waht dvd wiht xine, but i cant cuz audio_decoder missing.... wich pakage i need to make it work ?

Flyboy917
3rd June 2007, 05:14 AM
livna's amarok-extras-nonfree does work to get mp3's working in amarok...in F7.
:)

niko123456
3rd June 2007, 05:25 AM
you have borked your system by installing freshrpms (installing myth?) and livna. I have done this and it is a pain to fix.

the easiest thing right now is to start again and use only Livna.